##  for PCLinuxOS  ##

%define  ver  20200307
%define  rel  1.nora20
%define  fontdir  %{_datadir}/fonts/TTF/japanese-migu

%define ipa_ver   00303
%define mplus_ver 063a

Name:     fonts-ttf-japanese-migu
Summary:  Migu fonts
Summary(ja):  Migu（ミグ）フォント
Version:  %{ver}
Release:  %{rel}
Group:    System/Fonts/True type
License:  IPA Font License v1.0
URL:      http://mix-mplus-ipa.osdn.jp/migu/
Source0:  migu-%{version}.tar.xz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:  noarch

%description
Migu font are modified M+ fonts and IPA Gothic fonts for Japanese.
Migu font contain　all characters of M+ fonts, and an insufficient Kanji is supplemented with the IPA Gothic fonts.
This package includes four fonts.
  Migu 1P
  Migu 1C
  Migu 1M
  Migu 2M

- http://mix-mplus-ipa.osdn.jp/migu/

%description -l ja
Migu（ミグ）フォントは、M+フォントとIPAゴシックフォントの2種類を合成したTrueTypeフォントです。
M+フォントのすべての文字を含み、不足する漢字をIPAゴシックフォントで補っています。
このパッケージでは下記の4種類のフォントを収録しています。
　Migu 1P
　Migu 1C
　Migu 1M
　Migu 2M

Miguフォントの詳細は下記のページを参照してください。
- http://mix-mplus-ipa.osdn.jp/migu/


%prep
%setup -q -n migu-%{version}


%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{fontdir}
install -m644 *.ttf $RPM_BUILD_ROOT/%{fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-migu:pri=50


%files
%defattr(-,root,root)
%doc migu-README.txt ipag%{ipa_ver} mplus-TESTFLIGHT-%{mplus_ver}
%{fontdir}/*.ttf
%{_sysconfdir}/X11/fontpath.d/*


%changelog
* Fri Mar 13 2020 tomcat <> 20200307-1
- update to 20200307

* Tue Jul 14 2015 tomcat <> 20150712-1
- update to 20150712

* Wed Jun 19 2013 tomcat <> 20130617-1
- update to 20130617

* Tue May 07 2013 tomcat <> 20130507-1
- update to 20130507

* Thu May 02 2013 tomcat <> 20130430-1
- update to 20130430

* Fri Nov 02 2012 tomcat <> 20121030-1
- update to 20121030

* Sun Apr 15 2012 tomcat <> 20120411-1nora12
- update to 20120411

* Thu Mar 15 2012 tomcat <> 20111002-2nora12
- fix symbolic link

* Tue Oct 04 2011 tomcat <> 20111002-1nora11
- update to 20111002

* Thu Aug 25 2011 tomcat <> 20110825-1nora11
- update to 20110825

* Sun Jul 03 2011 tomcat <> 20110610-2nora11
- rebuild

* Wed Jun 15 2011 tomcat <> 20110610-1nora11
- update to 20110610

* Sun May 15 2011 tomcat <> 20110514-1nora11
- update to 20110514

* Thu Apr 21 2011 tomcat <> 20110418-1nora11
- update to 20110418
- remove %%post, %%postun, %%preun sections
- remove 'R(post): fontconfig, mkfontdir, mkfontscale'
- remove 'R(postun): fontconfig'

* Fri Feb 11 2011 tomcat <> 20110207-1nora11
- initial build

